Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.io
Class WKBWriter

    java.lang.Object
      com.vividsolutions.jts.io.WKBWriter

public class WKBWriter
extends java.lang.Object

Writes a `Geometry` into Well-Known Binary format. Supports use of an `OutStream`, which allows easy use with arbitary byte stream sinks.

The WKB format is specified in the OGC Simple Features for SQL specification. This implementation supports the extended WKB standard for representing 3-dimensional coordinates. The presence of 3D coordinates is signified by setting the high bit of the wkbType word.

Empty Points cannot be represented in WKB; an `IllegalArgumentException` will be thrown if one is written. The WKB specification does not support representing `LinearRing`s; they will be written as `LineString`s.

This class is designed to support reuse of a single instance to read multiple geometries. This class is not thread-safe; each thread should create its own instance.

See Also:
  `WKBReader`

Constructor Summary
`WKBWriter()` Creates a writer that writes `Geometry`s with output dimension = 2 and BIG_ENDIAN byte order
`WKBWriter(int outputDimension)` Creates a writer that writes `Geometry`s with the given dimension (2 or 3) for output coordinates and `BIG_ENDIAN` byte order.
`WKBWriter(int outputDimension, int byteOrder)` Creates a writer that writes `Geometry`s with the given dimension (2 or 3) for output coordinates and byte order If the input geometry has a small coordinate dimension, coordinates will be padded with `NULL_ORDINATE`.

Method Summary
`static java.lang.String` | `bytesToHex(byte[] bytes)` Deprecated.
`static java.lang.String` | `toHex(byte[] bytes)` Converts a byte array to a hexadecimal string.
`byte[]` | `write(Geometry geom)` Writes a `Geometry` into a byte array.
`void` | `write(Geometry geom, OutStream os)` Writes a `Geometry` to an `OutStream`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WKBWriter

    public WKBWriter()

  Creates a writer that writes `Geometry`s with output dimension = 2 and BIG_ENDIAN byte order

### WKBWriter

    public WKBWriter(int outputDimension)

  Creates a writer that writes `Geometry`s with the given dimension (2 or 3) for output coordinates and `BIG_ENDIAN` byte order. If the input geometry has a small coordinate dimension, coordinates will be padded with `NULL_ORDINATE`.

Parameters:
  `outputDimension` - the coordinate dimension to output (2 or 3)

### WKBWriter

    public WKBWriter(int outputDimension,
                     int byteOrder)

  Creates a writer that writes `Geometry`s with the given dimension (2 or 3) for output coordinates and byte order If the input geometry has a small coordinate dimension, coordinates will be padded with `NULL_ORDINATE`.

Parameters:
  `outputDimension` - the coordinate dimension to output (2 or 3)
  `byteOrder` - the byte ordering to use

Method Detail

### bytesToHex

    public static java.lang.String bytesToHex(byte[] bytes)

  Deprecated.

  Converts a byte array to a hexadecimal string.

  Parameters:
    `bytes` -
  Returns:

### toHex

    public static java.lang.String toHex(byte[] bytes)

  Converts a byte array to a hexadecimal string.

  Parameters:
    `bytes` - a byte array
  Returns:
    a string of hexadecimal digits

### write

    public byte[] write(Geometry geom)

  Writes a `Geometry` into a byte array.

  Parameters:
    `geom` - the geometry to write
  Returns:
    the byte array containing the WKB

### write

    public void write(Geometry geom,
                      OutStream os)
               throws java.io.IOException

  Writes a `Geometry` to an `OutStream`.

  Parameters:
    `geom` - the geometry to write
    `os` - the out stream to write to
  Throws:
    `java.io.IOException` - if an I/O error occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD